Skip to main content
GET
List mandate requests to client

Authorizations

Authorization
string
header
required

Company-bound Case Management API key — the standard credential for this API.

Headers

X-On-Behalf-Of-Company
string<uuid>

Required when a Partner key calls the Case Management API; rejected for direct Case keys. Contains the entitled paywise company UUID.

Path Parameters

mandate_id
string<uuid>
required

UUID of the parent accepted case in this request.

Query Parameters

answered
boolean

Whether the client has answered the request. Omit to include both answered and unanswered requests.

limit
integer
default:10

Number of results to return (maximum 100).

Required range: 1 <= x <= 100
offset
integer
default:0

Zero-based result offset.

Required range: x >= 0
updated_since
string<date-time>

Return rows changed at or after this timezone-aware RFC 3339 timestamp. Results are ordered by updated_at and id.

Response

count
integer
required

Total number of matching resources.

Example:

123

results
object[]
required

Resources returned for the requested page.

next
string<uri> | null

URL for the next page, or null when this is the last page.

Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null

URL for the previous page, or null when this is the first page.

Example:

"http://api.example.org/accounts/?offset=200&limit=100"